Loading...
Searching...
No Matches
target

A destination for messages. More...

`#include <target.hpp>`

Inheritance diagram for target:
[legend]
Collaboration diagram for target:
[legend]

## Public Types

enum | durability_mode
| The persistence mode of the source or target.
enum | expiry_policy
| When expiration of the source or target begins.
Public Types inherited from terminus
enum | durability_mode { NONDURABLE , CONFIGURATION , UNSETTLED_STATE }
| The persistence mode of the source or target. More...
enum | expiry_policy { LINK_CLOSE , SESSION_CLOSE , CONNECTION_CLOSE , NEVER }
| When expiration of the source or target begins. More...
typedef map< symbol, value > | dynamic_property_map

## Public Member Functions

| target ()=default
| Create an empty target.
std::string | address () const
| The address of the target.
enum durability_mode | durability_mode ()
| Get the durability flag.
enum expiry_policy | expiry_policy () const
| Get the policy for when expiration begins.
Public Member Functions inherited from terminus
enum expiry_policy | expiry_policy () const
| Get the policy for when expiration begins.
duration | timeout () const
| The period after which the source is discarded on expiry.
enum durability_mode | durability_mode ()
| Get the durability flag.
bool | dynamic () const
| True if the remote node is created dynamically.
bool | anonymous () const
| True if the remote node is an anonymous-relay.
value | node_properties () const
| Obtain the AMQP dynamic node properties for the terminus as a single value.
std::vector< symbol > | capabilities () const
| Unsettled API Extension capabilities that are supported/requested
dynamic_property_map | dynamic_properties () const
| Unsettled API Obtain the AMQP dynamic node properties for the terminus as a map.

## Detailed Description

A destination for messages.

See also
  proton::sender, proton::receiver, proton::target

The documentation for this class was generated from the following file:

- proton/target.hpp